package com.slodon.b2b2c.vo.goods;

import com.slodon.b2b2c.goods.pojo.GoodsRankCategory;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 封装榜单分类列表VO对象
 * @author wuxy
 */
@Data
public class GoodsRankCategoryListVO {

    @ApiModelProperty("分类id")
    private Integer categoryId;

    @ApiModelProperty("分类名称")
    private String categoryName;

    @ApiModelProperty("排序")
    private Integer sort;

    @ApiModelProperty("启用状态：0-未启用；1-启用")
    private Integer state;

    @ApiModelProperty("关联榜单数量")
    private Integer rankNum;

    public GoodsRankCategoryListVO(GoodsRankCategory goodsRankCategory) {
        this.categoryId = goodsRankCategory.getCategoryId();
        this.categoryName = goodsRankCategory.getCategoryName();
        this.sort = goodsRankCategory.getSort();
        this.state = goodsRankCategory.getState();
    }
}
